Package org.opentcs.data.model.visualization

# Interface ElementPropKeys

    public interface ElementPropKeys

Defines some reserved/commonly used property keys of `LayoutElements`.

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static java.lang.String` | `BLOCK_COLOR` | Color in which block elements are to be emphasized.
  `static java.lang.String` | `LOC_LABEL_OFFSET_X` | X offset of the label's position to the object's position (in lu).
  `static java.lang.String` | `LOC_LABEL_OFFSET_Y` | Y offset of the label's position to the object's position (in lu).
  `static java.lang.String` | `LOC_LABEL_ORIENTATION_ANGLE` | Orientation angle of the label (in degrees).
  `static java.lang.String` | `LOC_POS_X` | X coordinate at which the location is to be drawn (in mm).
  `static java.lang.String` | `LOC_POS_Y` | Y coordinate at which the location is to be drawn (in mm).
  `static java.lang.String` | `PATH_CONN_TYPE` | The drawing type of the path.
  `static java.lang.String` | `PATH_CONTROL_POINTS` | Control points describing the way the connection is being drawn (if the connection type is not Direct).
  `static java.lang.String` | `POINT_LABEL_OFFSET_X` | X offset of the label's position to the object's position (in lu).
  `static java.lang.String` | `POINT_LABEL_OFFSET_Y` | Y offset of the label's position to the object's position (in lu).
  `static java.lang.String` | `POINT_LABEL_ORIENTATION_ANGLE` | Orientation angle of the label (in degrees).
  `static java.lang.String` | `POINT_POS_X` | X coordinate at which the point is to be drawn (in mm).
  `static java.lang.String` | `POINT_POS_Y` | Y coordinate at which the point is to be drawn (in mm).
  `static java.lang.String` | `VEHICLE_ROUTE_COLOR` | Color in which vehicle routes are to be emphasized.

- ## Field Details

  - ### POINT_POS_X

    static final java.lang.String POINT_POS_X
    X coordinate at which the point is to be drawn (in mm). Type: int. Default value: Physical coordinate of the point.
    See Also:
      Constant Field Values

  - ### POINT_POS_Y

    static final java.lang.String POINT_POS_Y
    Y coordinate at which the point is to be drawn (in mm). Type: int. Default value: Physical coordinate of the point.
    See Also:
      Constant Field Values

  - ### POINT_LABEL_OFFSET_X

    static final java.lang.String POINT_LABEL_OFFSET_X
    X offset of the label's position to the object's position (in lu). Type: int. Default value: ??
    See Also:
      Constant Field Values

  - ### POINT_LABEL_OFFSET_Y

    static final java.lang.String POINT_LABEL_OFFSET_Y
    Y offset of the label's position to the object's position (in lu). Type: int. Default value: ??
    See Also:
      Constant Field Values

  - ### POINT_LABEL_ORIENTATION_ANGLE

    static final java.lang.String POINT_LABEL_ORIENTATION_ANGLE
    Orientation angle of the label (in degrees). Type: int [0..360]. Default value: 0.
    See Also:
      Constant Field Values

  - ### LOC_POS_X

    static final java.lang.String LOC_POS_X
    X coordinate at which the location is to be drawn (in mm). Type: int. Default value: ??.
    See Also:
      Constant Field Values

  - ### LOC_POS_Y

    static final java.lang.String LOC_POS_Y
    Y coordinate at which the location is to be drawn (in mm). Type: int. Default value: ??.
    See Also:
      Constant Field Values

  - ### LOC_LABEL_OFFSET_X

    static final java.lang.String LOC_LABEL_OFFSET_X
    X offset of the label's position to the object's position (in lu). Type: int. Default value: ??
    See Also:
      Constant Field Values

  - ### LOC_LABEL_OFFSET_Y

    static final java.lang.String LOC_LABEL_OFFSET_Y
    Y offset of the label's position to the object's position (in lu). Type: int. Default value: ??
    See Also:
      Constant Field Values

  - ### LOC_LABEL_ORIENTATION_ANGLE

    static final java.lang.String LOC_LABEL_ORIENTATION_ANGLE
    Orientation angle of the label (in degrees). Type: int [0..360]. Default value: 0.
    See Also:
      Constant Field Values

  - ### PATH_CONN_TYPE

    static final java.lang.String PATH_CONN_TYPE
    The drawing type of the path. Type: String {Elbow, Slanted, Curved, Bezier, Direct} Default value: DIRECT.
    See Also:
      Constant Field Values

  - ### PATH_CONTROL_POINTS

    static final java.lang.String PATH_CONTROL_POINTS
    Control points describing the way the connection is being drawn (if the connection type is not Direct). Type: String. (List of comma-separated X/Y pairs, with the pairs being separated by semicola. Example: "x1,x1;x2,y2;x3,y3") Default value: empty.
    See Also:
      Constant Field Values

  - ### BLOCK_COLOR

    static final java.lang.String BLOCK_COLOR
    Color in which block elements are to be emphasized. Type: String (pattern: #rrggbb). Default value: Automatically assigned.
    See Also:
      Constant Field Values

  - ### VEHICLE_ROUTE_COLOR

    static final java.lang.String VEHICLE_ROUTE_COLOR
    Color in which vehicle routes are to be emphasized. Type: String (pattern: #rrggbb). Default value: Color.RED
    See Also:
      Constant Field Values